/***************************************************************************
 *             __________               __   ___.
 *   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
 *   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
 *   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
 *   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
 *                     \/            \/     \/    \/            \/
 *
 * Copyright (C) 2006 Katie Stafford
 *
 * All files in this archive are subject to the GNU General Public License.
 * See the file COPYING in the source tree root for full license agreement.
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 * KIND, either express or implied.
 *
 ****************************************************************************/

#ifndef __PLAYER_H_
#define __PLAYER_H_

#include "actor.h"

#define INV_KEY 1
#define INV_INVULNERABILITY (1<<30)

int player_get_health(actor*);
int player_add_health(actor*, int);
int player_get_hurttime(actor*);

void player_set_controls(actor*, int, int, int, int, int);
int player_get_posz(actor*);
void player_copy(actor* from, actor* to);

#endif
